> ## Documentation Index
> Fetch the complete documentation index at: https://deepvue-2e0dbadd.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Result Driver License

> This API gives you back the complete result and verification details against your request id receieved in previous step.



## OpenAPI

````yaml GET /v1/verification/get-driving-license
openapi: 3.0.2
info:
  title: Deepvue.tech Developers' Guide
  description: >-
    Deepvue.tech's APIs and SDKs are a No-Code Solution to Document Digitization
    and Verification for Businesses.
  version: v1
  x-logo:
    url: https://deepvue.tech/wp-content/uploads//2022/01/deepvue-logo1-1.svg
servers:
  - url: https://production.deepvue.tech
security:
  - BearerAuth: []
    ApiKeyAuth: []
tags:
  - name: Authorization
    description: |-
      - You need an Authorized Access Token to access any of the Platform APIs.
      - One Access Token will be valid for only 24 hours.
      - After 24 hours, you can renew the token by using the Authorize Endpoint.
      - This will issue another access_token valid for 24 hrs.
  - name: Aadhaar Ekyc V2
    description: New streamlined APIs for Aadhaar eKYC
  - name: Offline Aadhaar eKYC
    description: >-
      Offline Aadhaar KYC, or OKYC, is a legally compliant KYC method as per
      UIDAI guidelines.   
                              Your customers can provide their Aadhaar number and verify with an OTP sent to their Aadhaar-linked mobile number, to access a downloadable XML file with their Aadhaar details.   

      **How does Offline Aadhaar Verification work?**    
                              **Provide Consent**:  Customers agree or disagree to continue at the initial screen.   
                              **Share Aadhaar Number**: Customers provide their Aadhaar number to proceed with the verification.   
                              **Verify with OTP**: Verify with an OTP sent to their Aadhaar-linked mobile number by UIDAI, to access a downloadable XML file with their Aadhaar details in a share code manner.    
                              **Realtime face match** for liveness detection: The Aadhaar Offline document has Name, Address, Photo, Gender, DOB. Optionally, the photo in the UIDAI Issued Aadhaar document can be matched with customers' live photo or a selfie in real time to ensure liveness checks.   

      *You can simply integrate Offline Aadhaar eKYC within your application
      with no-code and in no time with our Deepvue.tech Offline Aadhaar eKYC
      SDKs.*    


      **Below are the integration guides to integrate the platform specific
      SDKs:**   

      **Android SDK** :
      https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-android-sdk   
                              **iOS SDK** : https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-ios-sdk   
                              **React-Native SDK** : https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-react-sdk    
                              **Flutter SDK** : https://pub.dev/packages/aadhaar_offline_ekyc    

      **NOTE**:   
                  
              As per the compliances by UIDAI on sharing and storage of Aadhaar number is not allowed.    
              
              Service Providers shall not share, publish or display either Share Code or XML file or its contents with anyone else.   
              Any non-compliance of these actions shall invite actions under Sections 17 and 25 of The Aadhaar (Authentication) Regulation, 2016,    
              Sections 4 and 6 of The Aadhaar (Sharing of Information) Regulation, 2016 and Sections 29(2), 29 (3), and 37 of The Aadhaar Act, 2016.   

              Consent should be mandatorily stored at the company end to proceed with verification.   

      If you want to integrate Aadhaar eKYC in your web application or want to
      build your own customized workflow you can use our Aadhaar eKYC APIs
      detailed below.   


      Embed offline eKYC Aadhaar flow to verify consumers on your application
      using a simple flow.    
                                      - **Initiate Session**: This API allows the platform to initiate a session to get the captcha before passing the Aadhaar number of the customer.    
                                      - **Generate OTP**: This API allows the platform to pass the Aadhaar number to generate OTP to the linked mobile number.    
                                      - **Verify OTP**: This API allows the platform to pass the OTP to Deepvue.tech to fetch the customer's Aadhaar information from UIDAI.    

      If the customer or the platform wishes to restart the session, a new
      captcha can be generated using the Reload Captcha API.
  - name: Digilocker
    description: >-
      Digilocker is an initiative under Digital India Program which aims to
      remove the dependency on physical documents and power the sharing of
      verified electronic documents across authorised agencies.   


      **Benefits of Digilocker**    
                              1. Documents can be shared online, accessed anytime, anywhere.   
                              2. Documents can be authenticated by the users, legally on a par with originals.   
                              3. It's simple to use and very convenient.   
                              4. Documents are issued directly by the registered issuers such as Income Tax Department, CBSE, Registrar Office, etc.    

      **Product Flow**   

      **Initiate Session** : This API creates a session in which DigiLocker
      journey can be completed with other APIs in the flow.   
                              **Get User Access Token** : This API allows the platform to get user access token from Digilocker by passing the authorisation code generated from Digilocker.   
                              **Get Issued Files** : This API allows the platform to fetch a list of issued documents from Digilocker.    
                              **Download e-Aadhar** : This API allows the platform to download the Aadhaar XML from Digilocker.    
                              **Download File** : This API allows the platform to download the file from Digilocker by passing the URI for a particular document.    
  - name: KYC APIs
    description: >-
      Verify Aadhaar, PAN, GSTIN, Bank Account, and UPI details in real time for
      quick KYC checks.
  - name: Document OCR
    description: >-
      Our systems use Modern & Latest OCR technology to scan the document images
      for field’s like full name, dob, address, etc. on the photo IDs and
      exctract these fields as key-value pairs.
  - name: Document Forensics
    description: >-
      Set of APIs that help with document forensic checks like template
      validation, image quality, photocopy, and spoof checks.
  - name: Face Forensics
    description: >-
      APIs for facial recognition and liveliness verification in real time.    

      The Face Match API employs advanced algorithms for reliable facial
      matching, crucial for secure access control and compliance.   

      The Passive Liveness API enhances security by detecting and confirming the
      liveliness of faces during authentication, providing an additional layer
      of protection against impersonation and fraud.   
  - name: Async KYC APIs
    description: >-
      Verify other Identity documents such as Driving License, Vehicle
      Registration Certificate etc. in real time for fast KYC checks.    
              These are Asynchronous APIs which return a request ID and use a webhook mechanism to return the response back to your servers.    
              You can then use this request ID and feed this into our GET API to consume the response.
  - name: GST APIs
    description: >-
      Set of APIs that help with GST Registered business verification and
      onboarding.
  - name: GST Taxpayer APIs
    description: >-
      The GST Taxpayer APIs are provided by the GSTN for public usage. These
      APIs, together, mirror the GST Portal.   


      Therefore, you can use these APIs to integrate GST compliance into your
      workflow itself.   


      Use the following workflow to access the GST Taxpayer APIs:   


      **First**, the GST taxpayer is authenticated using **OTP
      Verification**.   


      **Second**, after successful authentication, the GST Taxpayer APIs can be
      accessed.   
         i. **Ledger APIs** - Fetch the taxpayer's ledger like a) Cash ITC Balance, b) Cash Ledger, c) ITC Ledger.   
         ii. **Returns APIs** - Fetch the taxpayer's detailed summaries of GSTR -1 and GSTR -3B Returns.   
  - name: Taxpayer APIs
    description: |-
      Taxpayer APIs includes TAN Verification.   

       Taxpayer APIs help businesses verify their vendors, customers & employees using TAN. APIs also provide publicly available data such as name, address, and contact details that can be verified against physical documents.   
  - name: ITR APIs
    description: |-
      ITR APIs includes ITR Verification APIs including 26AS.   

       ITR APIs helps businesses download ITR information, such as ITR ID, Filing Year, Acknowledgement Number, ITR Form, Filing Date, ITR status, etc..    
  - name: MSME APIs
    description: >-
      Set of APIs that help with MSME Registered business verification and
      onboarding.
  - name: MCA APIs
    description: >-
      Set of APIs that help fetch MCA's Director Master Data & Company Master
      Data.
  - name: Financial Services
    description: >-
      Suite that provides you whole array of APIs to serve multiple financial
      services and fetch data for an organisation or individual from various
      data sources in a streamlined manner.   


      Some of the key things that you can do here are:   


      i.Fetch the Credit Report from any of our partner credit bureaus.   

      ii.Fetch customer's Customer Data Pull basis mobile number and name to
      simplify your onboarding.
  - name: Account Aggregator
    description: >-
      Account Aggregators(AAs) are regulated entities that facilitate consented
      sharing of financial data by utilising the DEPA framework. They act as the
      bridge between data providers such as banks, and data consumers such as
      lenders—to enable the sharing of a user’s financial data based on their
      explicit consent.   
              Deepvue currently provides AA-related services in close partnership with a fully-licensed AA.
paths:
  /v1/verification/get-driving-license:
    get:
      tags:
        - Async KYC APIs
      summary: Async Get Driving License Verification
      description: >-
        This API gives you back the complete result and verification details
        against your request id receieved in previous step.
      operationId: >-
        Async_Get_Driving_License_Verification_v1_verification_get_driving_license_get
      parameters:
        - required: true
          schema:
            title: Request Id
            type: string
            description: A unique identifier for the driving license verification request.
          name: request_id
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RESPONSE_DL_GET_200_SUCCESSFUL'
              examples:
                200 - Valid Driving License:
                  summary: Valid driving license found
                  value:
                    action: verify_with_source
                    completed_at: '2025-01-28T12:34:02+05:30'
                    created_at: '2025-01-28T12:34:01+05:30'
                    group_id: 8e16424a-58fc-4ba4-ab20-5bc8e7c3c41e
                    request_id: 3d56781e-e17d-45f3-b470-c53ce8efb9bc
                    result:
                      source_output:
                        address: >-
                          6, 8TH CROSS  TPS LAYOUT TP NAGAR 9TH PHASE, Bangalore
                          North-East,Bangalore,KA
                        badge_details: null
                        card_serial_no: null
                        city: null
                        cov_details:
                          - category: null
                            cov: MCWG
                            issue_date: '2017-09-07'
                          - category: null
                            cov: LMV
                            issue_date: '2017-09-07'
                        date_of_issue: '2017-09-07'
                        date_of_last_transaction: null
                        dl_status: null
                        dob: '1999-06-28'
                        face_image: null
                        gender: null
                        hazardous_valid_till: null
                        hill_valid_till: null
                        id_number: KA0120170526899
                        issuing_rto_name: RTO BANGALORE (CENTRAL), HSR LAYOUT
                        last_transacted_at: null
                        name: MOHAMMED NIHAR
                        nt_validity_from: '2017-09-07'
                        nt_validity_to: '2037-09-06'
                        relatives_name: NOOR  MOHAMMED
                        source: government_website
                        status: id_found
                        t_validity_from: null
                        t_validity_to: null
                    status: completed
                    task_id: 0e4f7-0402-48de-b740-2de08b952f92
                    type: ind_driving_license
        '400':
          description: BAD_REQUEST (Invalid Input / Parameters)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RESPONSE_DL_GET_400_INACTIVE_CLIENT'
              examples:
                400 - Inactive Client:
                  summary: Inactive client
                  value:
                    detail: Inactive client_id
        '401':
          description: Incorrect client_id or client_secret
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RESPONSE_DL_GET_401_UNAUTHENTICATED'
              examples:
                401 - Not Authenticated:
                  summary: Authentication failed
                  value:
                    detail: Not authenticated
        '403':
          description: Access Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RESPONSE_DL_GET_403_ACCESS_FORBIDDEN'
              examples:
                403 - Forbidden:
                  summary: Invalid or expired token
                  value:
                    detail: Not a valid token
        '422':
          description: BAD_REQUEST
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RESPONSE_DL_GET_422_INVALID_REQUEST_ID'
              examples:
                422 - Invalid Request ID:
                  summary: Invalid request ID
                  value:
                    code: 422
                    timestamp: 1737920868325
                    transaction_id: 93e90418e224403e865e52c728e0bc8b
                    sub_code: INVALID_REQUEST_ID
                    message: Invalid Request ID
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RESPONSE_DL_GET_500_INTERNAL_SERVER_ERROR'
              examples:
                500 - Internal Server Error:
                  summary: Internal error
                  value:
                    detail: Internal Server Error
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RESPONSE_DL_GET_503_SOURCE_UNAVAILABLE'
              examples:
                503 - Source Unavailable:
                  summary: Source unavailable
                  value:
                    code: null
                    timestamp: null
                    transaction_id: string
                    message: Source Unavailable
components:
  schemas:
    RESPONSE_DL_GET_200_SUCCESSFUL:
      title: Valid Driving License
      type: object
      properties:
        action:
          title: Action
          type: string
        completed_at:
          title: Completed At
          type: string
        created_at:
          title: Created At
          type: string
        group_id:
          title: Group Id
          type: string
        request_id:
          title: Request Id
          type: string
        result:
          title: Result
          type: object
          properties:
            source_output:
              title: Source Output
              type: object
              properties:
                address:
                  title: Address
                  type: string
                badge_details:
                  title: Badge Details
                  type: string
                  nullable: true
                card_serial_no:
                  title: Card Serial No
                  type: string
                  nullable: true
                city:
                  title: City
                  type: string
                  nullable: true
                cov_details:
                  title: COV Details
                  type: array
                  items:
                    type: object
                    properties:
                      category:
                        title: Category
                        type: string
                        nullable: true
                      cov:
                        title: COV
                        type: string
                      issue_date:
                        title: Issue Date
                        type: string
                date_of_issue:
                  title: Date Of Issue
                  type: string
                date_of_last_transaction:
                  title: Date Of Last Transaction
                  type: string
                  nullable: true
                dl_status:
                  title: DL Status
                  type: string
                  nullable: true
                dob:
                  title: Date Of Birth
                  type: string
                face_image:
                  title: Face Image
                  type: string
                  nullable: true
                gender:
                  title: Gender
                  type: string
                  nullable: true
                hazardous_valid_till:
                  title: Hazardous Valid Till
                  type: string
                  nullable: true
                hill_valid_till:
                  title: Hill Valid Till
                  type: string
                  nullable: true
                id_number:
                  title: Id Number
                  type: string
                issuing_rto_name:
                  title: Issuing RTO Name
                  type: string
                last_transacted_at:
                  title: Last Transacted At
                  type: string
                  nullable: true
                name:
                  title: Name
                  type: string
                nt_validity_from:
                  title: NT Validity From
                  type: string
                nt_validity_to:
                  title: NT Validity To
                  type: string
                relatives_name:
                  title: Relatives Name
                  type: string
                source:
                  title: Source
                  type: string
                status:
                  title: Status
                  type: string
                t_validity_from:
                  title: T Validity From
                  type: string
                  nullable: true
                t_validity_to:
                  title: T Validity To
                  type: string
                  nullable: true
        status:
          title: Status
          type: string
        task_id:
          title: Task Id
          type: string
        type:
          title: Type
          type: string
    RESPONSE_DL_GET_400_INACTIVE_CLIENT:
      title: Inactive Client
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Inactive client_id
    RESPONSE_DL_GET_401_UNAUTHENTICATED:
      title: Not Authenticated
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Not authenticated
    RESPONSE_DL_GET_403_ACCESS_FORBIDDEN:
      title: Access Forbidden
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Not a valid token
    RESPONSE_DL_GET_422_INVALID_REQUEST_ID:
      title: Invalid Request ID
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 422
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        sub_code:
          title: Sub Code
          type: string
          default: INVALID_REQUEST_ID
        message:
          title: Message
          type: string
          default: Invalid Request ID
    RESPONSE_DL_GET_500_INTERNAL_SERVER_ERROR:
      title: Internal Server Error
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Internal Server Error
    RESPONSE_DL_GET_503_SOURCE_UNAVAILABLE:
      title: Source Unavailable
      type: object
      properties:
        code:
          title: Code
          type: integer
          nullable: true
        timestamp:
          title: Timestamp
          type: integer
          nullable: true
        transaction_id:
          title: Transaction Id
          type: string
        message:
          title: Message
          type: string
          default: Source Unavailable
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        ACCESS_TOKEN generated from the authorize endpoint. Should be included
        in the header as Bearer .
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        The CLIENT_SECRET provided to you. This header parameter is required for
        authentication purposes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.